Get chart data for a buoy
curl --request GET \
--url https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/chart \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/chart"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"buoy": {},
"fields": {},
"time": [
"2023-11-07T05:31:56Z"
],
"significant_height": [
123
],
"maximum_height": [
123
],
"period": [
123
],
"forecast_wave_height": [
123
],
"tide_level": [
123
]
}
}{
"error": "unauthorized",
"message": "Invalid API key",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "resource_not_found",
"message": "Couldn't find Spot with 'id'=999",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "rate_limit_exceeded",
"message": "You have exceeded 1000 requests per hour",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}Buoys
Get chart data for a buoy
Returns comprehensive chart data including readings, forecasts, and tide levels.
GET
/
buoys
/
{buoy_id}
/
readings
/
chart
Get chart data for a buoy
Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Format: Authorization: Bearer YOUR_API_KEY
Alternative: Pass as query parameter ?api_key=YOUR_API_KEY
Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.
Path Parameters
⌘I